Summary:        Convert-ASN1 Perl module
Name:           perl-Convert-ASN1
Version:        0.20
Release: 	1.1.XOS.1

Group:          Development/Libraries
License:        GPL or Artistic
URL:            http://search.cpan.org/dist/Convert-ASN1/
Source0:     	http://www.cpan.org/authors/id/G/GB/GBARR/Convert-ASN1-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.1
Requires:  	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
%{summary}.


%prep
%setup -q -n Convert-ASN1-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check || :
mv t/0-signature.t t/0-signature.t.skip
make test

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ChangeLog README examples/
%{perl_vendorlib}/Convert/
%{_mandir}/man3/*.3*

%changelog
* Fri Sep 14 2007 X/OS Linux Team <xoslinux@xos.nl> - 0.20-1.1.XOS.1
- Build for X/OS Linux 5.
- X/OS Linux source rpm based on perl-Convert-ASN1-0.20-1.1.src.rpm
  (md5sum of original source rpm: 4740b37a53ff154847b33989c0ab02fe).

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - sh: line 0: fg: no job control
- rebuild

* Thu Mar 09 2006 Jason Vas Dias <jvdias@redhat.com> - 1.20-1
- upgrade to upstream version 1.20-1

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 1.19-1.2
- rebuild for new perl-5.8.8

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcc

* Wed Apr 20 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0.19-1
- Update to 0.19. (#155458)
- Bring up to date with current Fedora.Extras perl spec template.

* Wed Sep 22 2004 Chip Turner <cturner@redhat.com> 0.18-3
- rebuild

* Wed Mar 10 2004 Chip Turner <cturner@redhat.com> - 0.18-1
- Specfile autogenerated.
